package com.platform.modules.sys.service;

import com.baomidou.mybatisplus.service.IService;
import com.platform.common.utils.PageUtils;
import com.platform.common.utils.R;
import com.platform.modules.sys.dto.SaveTenantDTO;
import com.platform.modules.sys.entity.SysTenantEntity;

import java.util.List;
import java.util.Map;

/**
 * @author MXY
 * 2019-11-12 15:25:44
 */
public interface SysTenantService extends IService<SysTenantEntity> {

    PageUtils queryPage(Map<String, Object> params);

    List<SysTenantEntity> saveBatch(List<SysTenantEntity> list);

    R saveTenant(SaveTenantDTO tenantDTO);

    String tenantCheckExist(String tenantName, String license);

    R updateTenant(SysTenantEntity sysTenant);

    R info(Long id);

    R delete(Long[] ids);
}

